// Nodes : dump.cpp
//
// Write output files
//
// See userguide.pdf for copyright information

#include <fstream>

using namespace std;

#include "realnum.h"
#include "universe.h"
#include "node.h"

void CNode::Dump(ofstream &os)
{
  // All floating-point values are cast to 'float' type before outputting because there is a problem
  // with VC++ V5 when outputting doubles - it sometimes outputs very small values which are then not
  // possible to read in without error.
  os << (int)type << " " << (float)xpos << " " << (float)ypos << " " << (float)angle << " " << endl;
  os << (float)xdelta << " " << (float)ydelta << " " << (float)angledelta << " " << (float)radius << " " << endl;
  os << output[0] << " " << output[1] << " " << output[2] << " " << output[3] << " " << endl;
  os << state << " " << endl;
  os << (unsigned)this << " " << endl;

  for(unsigned i = 0; i<4; i++)
  {
    os << connections[i].dir << " " << (unsigned)(connections[i].node) << endl;
  }

  os << endl;
}

void CUniverseCell::Dump(ofstream &os)
{
  for(CNode **i = &nodes[0]; i<&(nodes[0])+numnodes; i++)
  {
    (*i)->Dump(os);    
  }
}

void CUniverse::Dump(const char *n)
{
  ofstream os(n);

  if (os)
  {  
    for(list<CUniverseCell *>::iterator i = celllist.begin(); i!=celllist.end(); i++)
      (*i)->Dump(os);
  }
}
