// Nodes : glyphs.h
//
// case statements for drawing the different node types
//
// See userguide.pdf for copyright information

  CIRCLE(0,0,1);

  switch(type)
  {
    case null:
      break;
    case wire:
      LINE(0,0,0,1);
      break;
    case not:
      LINE(0,0,0,1);
      CIRCLE(0,0,0.125);
      break;
    case notnot:
      LINE(0,0,0,1);
      CIRCLE(0,0,0.125);
      CIRCLE(0,0.5,0.125);
      break;
    case thrust:
      LINE(0,-1,0.5,0.5);
      LINE(0,-1,-0.5,0.5);
      break;
    case fuse:
      LINE(0,1,0,-1);
      LINE(0,0,0.5,0.5);
      LINE(0,0,-0.5,0.5);
      CIRCLEFILL(0,0,0.125);
      TARGETCIRCLE(0,2,1.5);
      TARGETCIRCLE(2,2,1.5);
      TARGETCIRCLE(-2,2,1.5);
      break;
    case rfuse:
      LINE(0,1,0,-1);
      LINE(0,0,0.5,0.5);
      CIRCLEFILL(0,0,0.125);
      TARGETCIRCLE(0,2,1.5);
      TARGETCIRCLE(2,2,1.5);
      break;
    case lfuse:
      LINE(0,1,0,-1);
      LINE(0,0,-0.5,0.5);
      CIRCLEFILL(0,0,0.125);
      TARGETCIRCLE(0,2,1.5);
      TARGETCIRCLE(-2,2,1.5);
      break;
    case toggle:
      LINE(0,-1,0,1);
      LINE(-1,0,1,0);
      CIRCLEFILL(1,0,0.125);
      CIRCLE(-1,0,0.125);
      break;
    case delta:
      LINE(0,0,0,1);
      LINE(-1,0,1,0);
      break;
    case ndelta:
      LINE(0,0,0,1);
      LINE(-1,0,1,0);
      CIRCLE(0,0,0.125);
      break;
    case detect:
      LINE(0,0,0.5,0.5);
      LINE(0,0,-0.5,0.5);
      LINE(0,0,0,-1);
      break;
    case or:
      LINE(0,0,0,1);
      LINE(-1,0,1,0);
      CIRCLEERASE(0,0,0.25);
      CIRCLE(0,0,0.25);
      break;
    case runfuse:
      LINE(0,1,0,-1);
      LINE(0,0,0.5,0.5);
      CIRCLEERASE(0,0,0.125);
      CIRCLE(0,0,0.125);
      TARGETCIRCLE(0,2,1.5);
      TARGETCIRCLE(2,2,1.5);
      break;
    case lunfuse:
      LINE(0,1,0,-1);
      LINE(0,0,-0.5,0.5);
      CIRCLEERASE(0,0,0.125);
      CIRCLE(0,0,0.125);
      TARGETCIRCLE(0,2,1.5);
      TARGETCIRCLE(-2,2,1.5);
      break;
    case cross:
      LINE(0,0,0,1);
      LINE(0,0,1,0);
      break;
    case keypress:
      LINE(0,0,0,1);
      LINE(-0.5,0,0.5,0);
      break;
    case pulse:
      LINE(0,0,0,1);
      LINE(0,0,0.25,0.25);
      LINE(0,0,-0.25,0.25);
      break;
    case rslide:
      LINE(0,0,0,-1);
      LINE(-1,0,1,0);
      LINE(1,0,0.25,0.25);
      LINE(1,0,0.25,-0.25);
      break;
    case lslide:
      LINE(0,0,0,-1);
      LINE(-1,0,1,0);
      LINE(-1,0,-0.25,0.25);
      LINE(-1,0,-0.25,-0.25);
      break;
    case store:
      LINE(0,-1,0,1);
      LINE(-0.5,0,0.5,0);
      CIRCLEFILL(0,0.5,0.25);
      break;
    case creator:
      LINE(0,0,0.5,0.5);
      LINE(0,0,-0.5,0.5);
      CIRCLEFILL(0,0.5,0.25);
      break;
    case maj:
      LINE(0,-1,0,1);
      LINE(1,0,0,1);
      LINE(-1,0,0,1);
      break;
    case push:
      LINE(0,-1,0,0);
      LINE(-1,0,1,0);
      LINE(-0.8,0.2,0.8,0.2);
      break;
    case equal:
      LINE(0,0,0,1);
      LINE(-1,0,1,0);
      LINE(-0.5,-0.4,0.5,-0.4);
      LINE(0,-0.4,0,-1);
      break;
  }

