// Nodes : main.cpp
//
// Example main.cpp showing how to run a simulation
//
// See userguide.pdf for copyright information

#include <string>

using namespace std;

#include <stdio.h>
#include <string.h>

#include "realnum.h"
#include "input.h"
#include "universe.h"
#include "node.h"

#define CELLW 32
#define CELLH 32

void main(void)
{
  CUniverse U(CELLW,CELLH);

  RealNum centrex,centrey,radius;

  U.Centre(centrex,centrey);
  radius = U.Radius(centrex,centrey);

  RealNum xmin,ymin,scale;

// Change these to change the view origin and size
  xmin = centrex-radius;
  ymin = centrey-radius;
  scale = 1.0;

  while(1)
  {
// Pass your own parameters to the Draw function
//  U.Draw(??,xmin,ymin,??,??);

    U.Forces();
    U.Process();
    U.Update();

    // It is essential that Move is done after Forces, Process and Update because
    // in the call to Move nodes may get moved from Cell to Cell
    U.Move();
  }

  U.Dump("exit.dmp");
}
